Bug 806114 - gdm autologin no longer works on Fedora 17
gdm autologin no longer works on Fedora 17
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F17Blocker/F17FinalBlocker
  Show dependency treegraph
 
Reported: 2012-03-22 18:35 EDT by Stan King
Modified: 2012-04-05 22:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-05 18:33:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/gdm/custom.conf file, which had previously enabled autologin (137 bytes, application/octet-stream)
2012-03-22 18:35 EDT, Stan King
no flags Details
excerpt from /var/log/messages regarding gdm autologin failure (197.19 KB, text/plain)
2012-03-22 18:41 EDT, Stan King
no flags Details

  None (edit)
Description Stan King 2012-03-22 18:35:56 EDT
Created attachment 572097 [details]
/etc/gdm/custom.conf file, which had previously enabled autologin

Description of problem:

Auto-login with gdm no longer works on Fedora 17, after a recent update.

Version-Release number of selected component (if applicable):

Current gdm version is gdm-3.3.92.1-1.fc17.i686.
A couple days before that, there was an update to gdm-3.2.1.1-14.fc17.i686.
I'm not sure which of these started the difficulty.

How reproducible:

Every time system is booted.

Steps to Reproduce:
1. Boot System.
2.
3.
  
Actual results:

Presented with GDM login prompt.

Expected results:

Automatic login, as per directives in /etc/gdm/custom.conf
Additional info:
Comment 1 Stan King 2012-03-22 18:41:29 EDT
Created attachment 572099 [details]
excerpt from /var/log/messages regarding gdm autologin failure

Here is an excerpt from /var/log/messages that may help point the way toward solution of this problem.

Further investigation shows that the "Invalid NULL username for auto/timed login" message first appeared a few minutes after an update batch which included gdm-3.3.92.1-1.fc17.i686.
Comment 2 Matthias Clasen 2012-03-24 18:00:54 EDT
I'm seeing this too
Comment 3 Matthias Clasen 2012-03-24 18:19:42 EDT
https://bugzilla.gnome.org/show_bug.cgi?id=672773
Comment 4 Matthias Clasen 2012-03-27 20:19:39 EDT
Should be fixed in gdm 3.4.0.1, which we'll build as an update shortly.
Comment 5 Stan King 2012-04-05 22:29:42 EDT
I've got the update, and it's working for me now.

Let me know if I should karmacize anything.

Note You need to log in before you can comment on or make changes to this bug.